org.keycloak.policy

## Class BlacklistPasswordPolicyProviderFactory.FileBasedPasswordBlacklist

- java.lang.Object
- - org.keycloak.policy.BlacklistPasswordPolicyProviderFactory.FileBasedPasswordBlacklist

- All Implemented Interfaces:
    BlacklistPasswordPolicyProviderFactory.PasswordBlacklist
  Enclosing class:
    BlacklistPasswordPolicyProviderFactory

      public static class BlacklistPasswordPolicyProviderFactory.FileBasedPasswordBlacklist
      extends Object
      implements BlacklistPasswordPolicyProviderFactory.PasswordBlacklist

  A `BlacklistPasswordPolicyProviderFactory.FileBasedPasswordBlacklist` uses password-blacklist files as to construct a `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`.

  This implementation uses a dynamically sized `BloomFilter` to provide a false positive probability of 1%.

  See Also:
    `BloomFilter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBasedPasswordBlacklist(Path blacklistBasePath, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(String password)` Checks whether a given `password` is contained in this `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`.
    `String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileBasedPasswordBlacklist

          public FileBasedPasswordBlacklist(Path blacklistBasePath,
                                            String name)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`
      Returns:
        the logical name of the `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`

    - #### contains

          public boolean contains(String password)

      Description copied from interface: `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`
      Checks whether a given `password` is contained in this `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`.
      Specified by:
        `contains` in interface `BlacklistPasswordPolicyProviderFactory.PasswordBlacklist`
      Returns:

Copyright © 2020 JBoss by Red Hat. All rights reserved.